Skip to main content

Forums

Create a Post in Forum​

Use this API to create a forum post.

 POST /forum/{enrollmentId}/create Try now

Path parameters​

FieldTypeDescription
enrollmentId
required
integerEnrollment ID

Request body parameters​

FieldTypeDescription
title
required
stringForum title
description
required
stringForum description
notifyWhenReplied
required
integerNotify when someone replies, 1-yes, 0-no

For general error details, click here.

Reply to a Post in Forum​

Use this API to reply to a post in forum.

 POST /forum/reply/{enrollmentId}/{forumId} Try now

Path parameters​

FieldTypeDescription
enrollmentId
required
integerEnrollment ID
forumId
required
integerForum ID

Request body parameters​

FieldTypeDescription
description
required
stringText of the forum post
replyIdintegerID of the Post to which you want to reply.

For general error details, click here.

List all Posts in a Forum​

Use this API to get the list of all posts in a forum for an individual enrollment. This does not include replies within a post.

 GET /forum/{enrollmentId}/list Try now

Path parameters​

FieldTypeDescription
enrollmentId
required
integerEnrollment ID

Query string parameters​

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record. Default: 20, Max count limit: 50
qstringFilter data by title, description.

For general error details, click here.

View Forum Details​

Use this API to get an individual forum post and all it's replies.

 GET /forum/detail/{enrollmentId}/{forumId} Try now

Path parameters​

FieldTypeDescription
enrollmentId
required
integerEnrollment ID
forumId
required
integerForum ID

For general error details, click here.

Update a Forum Post​

Use this API to update a forum post.

 PUT /forum/{forumId}/update Try now

Path parameters​

FieldTypeDescription
forumId
required
integerForum ID

Request body parameters​

FieldTypeDescription
titlestringForum title
descriptionstringForum description
notifyWhenRepliedintegerParameter to notify when someone replies, 1-yes, 0-no

For general error details, click here.

Delete a Forum Post​

Use this API to delete a forum post or a reply to a forum post.

 DELETE /forum/detail/{enrollmentId}/{forumId} Try now

Path parameters​

FieldTypeDescription
enrollmentId
required
integerEnrollment ID
forumId
required
integerForum ID

Request body parameters​

FieldTypeDescription
replyIdintegerID of the Post you want to Delete.

For general error details, click here.